var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { DatePicker } from "./date-picker";
export const TimePicker = (_a) => {
    var { value } = _a, props = __rest(_a, ["value"]);
    if (typeof value === 'string' && timeStringPattern.test(value)) {
        value = new Date('2000-01-01T' + value);
    }
    return React.createElement(DatePicker, Object.assign({ type: 'time', value: value }, props));
};
const timeStringPattern = /^\d\d:\d\d/;
